class CreateStockMovements < ActiveRecord::Migration[6.0]
  def change
    create_table :stock_movements do |t|
      t.string :movement_type, :default => "deb"
      t.text :description
      t.integer :admin_id
      t.date :date
      t.decimal :cc_tot_amount_ht,   :precision => 14,   :scale => 2
      t.decimal :ac_tot_amount_ht,   :precision => 14,   :scale => 2
      t.boolean :stock_done, :default => false

      t.timestamps
    end
  end
end
